For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usJoin the Discord
ManualAPI GuideAPI Reference
  • Overview
    • API Reference
    • Client libraries
  • API Reference
      • POSTSemantic Search
      • POSTTabular Data Analysis
      • POSTDatabase Query
      • POSTWeb Fetch
      • POSTWeb Search
LogoLogo
Contact usJoin the Discord
API ReferenceTools

Database Query

POST
https://host.com/v1/tools/database-query
POST
/v1/tools/database-query
$curl -X POST https://host.com/v1/tools/database-query \
> -H "Content-Type: application/json" \
> -d '{
> "query": "query",
> "artifacts": []
>}'
1{
2 "content": [],
3 "is_error": false
4}
Run a natural language query against connected SQL databases.
Was this page helpful?
Previous

Web Fetch

Next
Built with

Request

This endpoint expects an object.
querystringRequired
The natural language query to run against connected databases.
artifactslist of objectsRequired

List of SQL database artifacts to query against. At least one artifact of type ‘sql_database’ is required.

Response

This endpoint returns an object.
contentlist of objects
List of content blocks generated by the tool. Blocks can include plain text, citations, source attributions, or images.
is_errorboolean
True if the tool encountered an error during execution.

Errors

401
Unauthorized
422
Unprocessable Entity